Get Grok History
curl --request POST \
--url https://api.twexapi.io/v3/twitter/grok/history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"count": 20,
"proxy": "http://username:password@ip:port"
}
'import requests
url = "https://api.twexapi.io/v3/twitter/grok/history"
payload = {
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"count": 20,
"proxy": "http://username:password@ip:port"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cookie: 'ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7',
count: 20,
proxy: 'http://username:password@ip:port'
})
};
fetch('https://api.twexapi.io/v3/twitter/grok/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": [
{
"conversation_id": "2076320454898278729",
"title": "Friendly greeting",
"id": "<string>",
"created_at_ms": 1783868347485,
"is_pinned": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Grok Endpoints
Get Grok History
Get Grok conversation history list.
POST
/
v3
/
twitter
/
grok
/
history
Get Grok History
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Parameters for getting Grok conversation history list
Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie
Example:
"ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
Number of conversations to return.
Required range:
1 <= x <= 100Example:
20
Proxy ref for session. Example: http://username:password@ip:port [blocked]
Example:
"http://username:password@ip:port"
⌘I